<template>
    <v-app>
        <Header/>
        <v-content class="pb-0">
            <vue-page-transition name="fade">
                <router-view/>
            </vue-page-transition>
        </v-content>
        <Footer/>
    </v-app>
</template>
<script>
import Footer from './components/Footer'
import Header from './components/Header'

export default { /*eslint-disable*/
    name: 'App',
    components: {
        Header,
        Footer
    }
}
</script>

<style lang="scss">
    @font-face {
        font-family: Poppins;
        src: url('./assets/fonts/Poppins-Regular.ttf');
    }
    @font-face {
        font-family: Pacifico;
        src: url('./assets/fonts/Pacifico-Regular.ttf');
    }

    #app {
        font-family: Poppins, Helvetica, Arial, sans-serif;
        -webkit-font-smoothing: antialiased;
        -moz-osx-font-smoothing: grayscale;
        text-align: center;
        color: #2c3e50;
        overflow-x: hidden;
        // bootstrap 4 container size //
        .container {
            @media (min-width: 1200px) {
                max-width: 1140px;
            }
            @media (min-width: 992px) and (max-width: 1199px) {
                max-width: 960px;
            }
            @media (min-width: 768px) and (max-width: 991px) {
                max-width: 720px;
            }
            @media (min-width: 576px) and (max-width: 767px)  {
                max-width: 540px;
            }
        }
        .v-card__title {
            word-break: break-word
        }
        .instagram-growth-plan-name {
            font-family: Pacifico, Arial, sans-serif;
            font-size: 2rem;
        }
        .instagram-growth-plan-price {
            font-family: Pacifico, Arial, sans-serif !important;
            font-size: 1.5rem !important;
        }
        .benefit-disabled-icon,
        .mdi-minus-circle-outline {
            color: #dc3545;
        }
        .benefit-check-icon,
        .mdi-plus-circle-outline {
            color: #0b9e9e;
        }
        .benefits {
            border-top: 1px solid lightgrey;
            padding-bottom: 40px;
            padding-left: 0;
            li:first-child {
                padding-top: 16px;
            }
            li {
                padding-top: 8px;
                list-style-type: none;
            }
        }

        a {
            text-decoration: none;
        }
    }

    #nav {
        padding: 30px;

        a {
            font-weight: bold;
            color: #2c3e50;

            &.router-link-exact-active {
                color: #42b983;
            }
        }
    }
</style>
